Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.model
Class TransportInfo

    java.lang.Object
      org.teleal.cling.support.model.TransportInfo

    public class TransportInfo

extends Object

Constructor Summary
`TransportInfo()`
`TransportInfo(Map<String,org.teleal.cling.model.action.ActionArgumentValue> args)`
`TransportInfo(TransportState currentTransportState)`
`TransportInfo(TransportState currentTransportState, String currentSpeed)`
`TransportInfo(TransportState currentTransportState, TransportStatus currentTransportStatus)`
`TransportInfo(TransportState currentTransportState, TransportStatus currentTransportStatus, String currentSpeed)`

Method Summary
`String` | `getCurrentSpeed()`
`TransportState` | `getCurrentTransportState()`
`TransportStatus` | `getCurrentTransportStatus()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransportInfo

    public TransportInfo()

### TransportInfo

    public TransportInfo(Map<String,org.teleal.cling.model.action.ActionArgumentValue> args)

### TransportInfo

    public TransportInfo(TransportState currentTransportState)

### TransportInfo

    public TransportInfo(TransportState currentTransportState,
                         String currentSpeed)

### TransportInfo

    public TransportInfo(TransportState currentTransportState,
                         TransportStatus currentTransportStatus)

### TransportInfo

    public TransportInfo(TransportState currentTransportState,
                         TransportStatus currentTransportStatus,
                         String currentSpeed)

Method Detail

### getCurrentTransportState

    public TransportState getCurrentTransportState()

### getCurrentTransportStatus

    public TransportStatus getCurrentTransportStatus()

### getCurrentSpeed

    public String getCurrentSpeed()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.